Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.chart
Class PieStrategy

    java.lang.Object
      org.eclipse.amp.agf.chart.BasicChartStrategy
          org.eclipse.amp.agf.chart.PieStrategy

All Implemented Interfaces:
  IChartDesignStrategy

    public class PieStrategy

extends BasicChartStrategy

Field Summary
`protected java.util.Collection<java.lang.String>` | `labels`
`protected java.util.List<java.lang.Double>` | `numbers`

Fields inherited from class org.eclipse.amp.agf.chart.BasicChartStrategy
`dataProvider, dataSource`

Constructor Summary
`PieStrategy()`

Method Summary
`org.eclipse.birt.chart.model.Chart` | `createChart(IDataProvider dataProvider, java.lang.Object dataSource)`
`java.util.Collection<java.lang.String>` | `getLabels()`
`java.util.List<java.lang.Double>` | `getNumbers()`
`org.eclipse.birt.chart.model.data.SeriesDefinition` | `getValueSetsDefinition()`
`boolean` | `isInitialized()`
`void` | `setLabels(java.util.Collection<java.lang.String> labels)`
`void` | `setNumbers(java.util.List<java.lang.Double> numbers)`
`void` | `update()`
`void` | `updateSelection()`

Methods inherited from class org.eclipse.amp.agf.chart.BasicChartStrategy
`createLegend, getChart, getLegend, setChart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labels

    protected java.util.Collection<java.lang.String> labels

### numbers

    protected java.util.List<java.lang.Double> numbers

Constructor Detail

### PieStrategy

    public PieStrategy()

Method Detail

### createChart

    public org.eclipse.birt.chart.model.Chart createChart(IDataProvider dataProvider,
                                                          java.lang.Object dataSource)

### getValueSetsDefinition

    public org.eclipse.birt.chart.model.data.SeriesDefinition getValueSetsDefinition()

### updateSelection

    public void updateSelection()

### update

    public void update()

### isInitialized

    public boolean isInitialized()

  Returns:
  See Also:
    `IChartDesignStrategy.isInitialized()`

### setLabels

    public void setLabels(java.util.Collection<java.lang.String> labels)

### getLabels

    public java.util.Collection<java.lang.String> getLabels()

### setNumbers

    public void setNumbers(java.util.List<java.lang.Double> numbers)

### getNumbers

    public java.util.List<java.lang.Double> getNumbers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD